# fam_suspend_monitor

(PHP 5 < 5.1.0)

fam_suspend_monitor — Temporarily suspend monitoring

### Description

fam_suspend_monitor ( resource `$fam` , resource `$fam_monitor` ) : bool

fam_suspend_monitor() temporarily suspend monitoring of a resource.

Monitoring can later be continued using fam_resume_monitor() without the need of requesting a complete new monitor.

### Parameters

`fam`

  A resource representing a connection to the FAM service returned by fam_open()

`fam_monitor`

  A resource returned by one of the fam_monitor_XXX functions

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- fam_cancel_monitor() - Terminate monitoring
- fam_resume_monitor() - Resume suspended monitoring